Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. GlMovements
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
        GET
      • GET a list of GL movements/balances
        GET
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. GlMovements

GET a list of GL movements/balances

GET
/clients/{clientno}/glmovements
Get a list of GL periods' movements and incoming/outgoing balances based on criteria given in query parameters. You should input either glyear + glperiod or a combination of glyearfrom/glperiodfrom and glyearto/glperiodto. Filtering glaccountno is optional

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
GL movement(s) found
Headers

Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//glmovements?glyear&glperiod&glyearfrom&glperiodfrom&glyearto&glperiodto&glaccountno&options' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get GL movements response
{
    "summary": {
        "totalCount": 2
    },
    "glMovements": [
        {
            "clientNo": 2218,
            "glYear": 2025,
            "glPeriod": 2,
            "glYearFrom": 2025,
            "glPeriodFrom": 2,
            "glYearTo": 2025,
            "glPeriodTo": 2,
            "glAccountNo": 1030,
            "clientGlAccountNo": "1030",
            "glAccountName": "Bank",
            "balanceIn": 1230,
            "movement": 100,
            "balanceOut": 1330
        },
        {
            "clientNo": 2218,
            "glYear": 2025,
            "glPeriod": 3,
            "glYearFrom": 2025,
            "glPeriodFrom": 3,
            "glYearTo": 2025,
            "glPeriodTo": 3,
            "glAccountNo": 1030,
            "clientGlAccountNo": "1030",
            "glAccountName": "Bank",
            "balanceIn": 1330,
            "movement": 10,
            "balanceOut": 1340
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
Get movement/balance for the latest closed GL year/period
Next
GET a list of ADB intervals
Built with